
Redmine - Feature #12416

Comment change notification

2012-11-21 11:17 - Anton Nepomnyaschih

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

Now, when someone changes his comment in an issue, no notification is sent about it. So, if a user comments an issue, then

changes his comment, then other users get notification with first version of the comment, and don't get its change. So, they don't

have actual information.

Could you, please, make notifications when an issue comment is changed?

Related issues:

Related to Redmine - Feature #12388: diffs for editions of issue/notes entries New

Has duplicate Redmine - Feature #21193: Email notification on issue Note upda... Closed

Has duplicate Redmine - Feature #1446: Allow notification on editing of a mes... Closed 2008-06-13

Has duplicate Redmine - Feature #11385: Email notification when someone edits... Closed

History

#1 - 2012-11-21 21:21 - Terence Mill

This shall be optionaly configureable by user, because if you correct some grammar in the comment, it will send to many emails for nearly the same

information.

Other solution: Wait 15 minutes witout chnaange again or so, and then send "final" version

#2 - 2012-11-22 04:44 - Anton Nepomnyaschih

As we need quick communications, I think, it's better to make a checkbox "Notify about changes" under the editing field to let user choose to send the

notification or not. Also, for us it would be better if the checkbox is set by default.

#3 - 2012-11-25 03:54 - Toshi MARUYAMA

- Category set to Email notifications

#4 - 2013-04-29 12:20 - Eugene Fokin

+1 This feature would be very helpful.

#5 - 2016-09-01 10:56 - Aleksandr Ites

+1 it seems it's easy to "miss" crucial info the way it works now

The solution proposed by Anton looks good enough.

#6 - 2017-01-01 01:20 - Go MAEDA

- Has duplicate Feature #21193: Email notification on issue Note update/modification added

#7 - 2017-09-29 07:50 - okkez _

How about this plugin https://github.com/clear-code/redmine-plugin-journal-change-notifier ?

This plugin notifies when issue comment is updated. It includes diff.

#8 - 2019-02-11 05:00 - Go MAEDA

- Has duplicate Feature #1446: Allow notification on editing of a message added

#9 - 2019-02-11 05:01 - Go MAEDA

- Has duplicate Feature #11385: Email notification when someone edits an update of an issue added
#10 - 2019-02-11 05:11 - Go MAEDA

- Related to Feature #12388: diffs for editions of issue/notes entries added
